package com.loan.system.service;

import com.loan.system.domain.dto.ApprovalRecordDTO;
import com.loan.system.domain.entity.ApprovalRecord;
import com.loan.system.domain.vo.ApprovalRecordVO;

import java.util.List;

public interface ApprovalService {
    void addApprovalRecord(ApprovalRecordDTO approvalRecordDTO);

    List<ApprovalRecordVO> findByCaseIdAndIsDelete(Long caseId);

    void addPreApprovalRecord(String label, Long currentId, Long caseId);

    void save(ApprovalRecord approvalRecord);

    void updateDecisionByCaseIdAndStepNameAndIsDelete(String decision, Long caseId, String stepName,String  comments,Long approverId);

    ApprovalRecordVO findByCaseIdAndIsDeleteAndStepName(Long caseId, String stepName, Long approverId);
}
